View Issue Details

IDProjectCategoryView StatusLast Update
0031293Open CASCADEOCCT:Visualizationpublic2020-12-02 17:12
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeveritymajor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031293: Visualization, TKOpenGl - broken capping when PBR shading is ON
DescriptionCapping texture mapping is broken when PBR shading is turned ON.
Steps To Reproduce
source $env(CSF_OCCTSamplesPath)/tcl/dimensions.tcl
vrenderparams -shadingModel PBR

TagsNo tags attached.
Test case numberdemo/samples/dimensionspbr

Attached Files

  • cadass_capping_KO.png (56,660 bytes)
  • cadass_capping_OK.png (126,009 bytes)

Relationships

child of 0030700 closedapn Visualization, TKOpenGl - support PBR Metallic-Roughness shading model 

Activities

kgv

2020-01-12 15:19

developer  

cadass_capping_KO.png (56,660 bytes)

kgv

2020-01-12 15:20

developer  

cadass_capping_OK.png (126,009 bytes)

git

2020-01-13 13:50

administrator   ~0089869

Branch CR31293 has been created by iko.

SHA-1: 96688f227e96778d8ed8d37c6d195f52ec72441b


Detailed log of new commits:

Author: iko
Date: Mon Jan 13 13:41:39 2020 +0300

    0031293: Visualization, TKOpenGl - broken capping when PBR shading is ON
    
    Broken capping when PBR shading is ON has been fixed.

git

2020-01-13 14:11

administrator   ~0089871

Branch CR31293 has been updated forcibly by iko.

SHA-1: 8dff76f8b8110866bfd9067fe620bc1ae1ad7f08

iko

2020-01-13 15:40

developer   ~0089875

Please review the fix.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR31293-master-IKO-OCCT-Debian80-64-opt-test-compare/1/

http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR31293-master-IKO-OCCT-Windows-64-VC14-opt-test-compare/1/

http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR31293-master-IKO-Products-Windows-64-VC14-opt-test-compare/1/

http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR31293-master-IKO-Products-Debian80-64-opt-test-compare/1/

bugmaster

2020-01-13 16:24

administrator   ~0089878

Combination -
OCCT branch : CR31293
master SHA - 96688f227e96778d8ed8d37c6d195f52ec72441b
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : master SHA - c0486f53f3cff19deed9ff7054f97a6871a50496
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16983.780000000163 / 16989.810000000103 [-0.04%]
Products
Total CPU difference: 10730.110000000055 / 10741.020000000053 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 18595.890625 / 18447.0625 [+0.81%]
Products
Total CPU difference: 12742.875 / 12436.203125 [+2.47%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-01-18 15:36

administrator   ~0089944

Branch CR31293 has been deleted by inv.

SHA-1: 8dff76f8b8110866bfd9067fe620bc1ae1ad7f08

Related Changesets

occt: master c8bead47

2020-01-13 10:41:39

iko


Committer: bugmaster Details Diff
0031293: Visualization, TKOpenGl - broken capping when PBR shading is ON

Division by 'w' component has been added in texture coordinates calculations in PBR functions.
Affected Issues
0031293
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff File
add - tests/demo/samples/dimensionspbr Diff File

Issue History

Date Modified Username Field Change
2020-01-12 15:19 kgv New Issue
2020-01-12 15:19 kgv Assigned To => iko
2020-01-12 15:19 kgv File Added: cadass_capping_KO.png
2020-01-12 15:20 kgv File Added: cadass_capping_OK.png
2020-01-12 15:22 kgv Severity minor => major
2020-01-12 15:22 kgv Steps to Reproduce Updated
2020-01-12 15:22 kgv Relationship added child of 0030700
2020-01-13 13:50 git Note Added: 0089869
2020-01-13 14:11 git Note Added: 0089871
2020-01-13 15:40 iko Note Added: 0089875
2020-01-13 15:40 iko Assigned To iko => kgv
2020-01-13 15:40 iko Status new => resolved
2020-01-13 15:45 kgv Assigned To kgv => bugmaster
2020-01-13 15:45 kgv Status resolved => reviewed
2020-01-13 16:23 bugmaster Test case number => demo/samples/dimensionspbr
2020-01-13 16:24 bugmaster Note Added: 0089878
2020-01-13 16:24 bugmaster Status reviewed => tested
2020-01-18 12:27 bugmaster Changeset attached => occt master c8bead47
2020-01-18 12:27 bugmaster Status tested => verified
2020-01-18 12:27 bugmaster Resolution open => fixed
2020-01-18 15:36 git Note Added: 0089944
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.